import 'dart:math';

import 'package:flutter/material.dart';

/// [CalcManager] -  The Calculator Manager:  This will hold all calculator operations
class CalcManager {
  /// Random object used for generating random values
  final random = Random();

  /// colour data
  final colours = [
    Colors.red,
    Colors.amber,
    Colors.brown,
    Colors.deepOrange,
    Colors.purple,
    Colors.green,
    Colors.indigo,
    Colors.pink,
  ];

  /// Check if first number is greater than second
  bool checkForPremiseSatisfaction(double first, double second) {
    bool premiseVal = false;
    if (first.isNaN || second.isNaN) {
      return false;
    } else {
      premiseVal = first > second;
    }
    return premiseVal;
  }

  /// Perform addition on the two values
  double addNumbers(double first, double second) => first + second;

  /// Perform subtraction on the two values
  double subtractNumbers(double first, double second) => first - second;

  /// Perform multiplication on the two values
  double multiplyNumbers(double first, double second) => first * second;

  /// Perform division on the two values
  double divideNumbers(double first, double second) => first / second;

  /// Return a randomly chosen colour from colour data list
  MaterialColor changeColor() =>
      colours[0 + random.nextInt(colours.length - 1)];
}
